
Foreman - Feature #10380

List static IP addresses that are assigned using the "Internal DB" method of IP Address Management

05/05/2015 11:53 AM - larry campbell

Status: New   

Priority: Normal   

Assignee:    

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This is a feature request to create a page in foreman that lists all of the IP addresses in the subnet Start and End range, and mark

which addresses are assigned, and to what machine when a subnet's IPAM is set to "Internal DB".  IP Addresses that are not

assigned should be marked "available" or some other indicator to show that IP address is not in use.  Ideally, I would like an "Internal

DB" button just like the "DHCP" button (present only when the DHCP_browser plugin is installed) for each subnet listed in

Infrastructure > Subnets.  Also, the look and feel of the list would ideally match the DHCP plugin's output.  This button would only be

present when a subnet's IPAM selector is set to "Internal DB".

Link to discussion:

https://groups.google.com/forum/?fromgroups#!topic/foreman-users/acT_dSsE67w

Related issues:

Related to Foreman - Tracker #2409: Networking New

History

#1 - 05/06/2015 03:39 AM - Marek Hulán

- Category set to Network

#2 - 05/06/2015 03:42 AM - Marek Hulán

- Related to Tracker #2409: Networking added
